; Stores a 16-bit value into the address stored in HL
; \1 The value to store (immediate or register)
MACRO STORE16
    ld [hl], HIGH(\1)
    inc hl
    ld [hl], LOW(\1)
ENDM

; Stores an 8-bit value into memory
; \1 Write address
; \2 8-bit value
MACRO SET8
    ld h, HIGH(\1)
    ld l, LOW(\1)
    ld [hl], \2
ENDM
